
#include <cstdio>
#include <Spectre/Core/String.h>

std::string core::to_string(unsigned int value)
{
	char buf[32];
	sprintf(buf, "%u", value);
	return std::string(buf);
}

std::string core::to_string(float value)
{
	char buf[32];
	sprintf(buf, "%f", value);
	return std::string(buf);
}

std::string core::to_string(float value, unsigned int precision)
{
	char buf[32];
	std::string format = "%." + to_string(precision) + "f";
	sprintf(buf, format.c_str(), value);
	return std::string(buf);
}
